Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031090
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2015-10-08 08:412015-11-25 16:38
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR16Q1
StatusclosedFix in branchFixed in SCM revision0533c8d6569d
ProjectionnoneETAnoneTarget Version3.0PR16Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031090: Implement Retail licensing model

DescriptionRetail licensing model is based on restricting the number of WebPOS terminals that can be registered at system level.

Include model as part of activation key and implement the restrictions required accordingly.

More details: https://docs.google.com/document/d/1kWe0tIhv9Wd0gXpQ4b6oxtub5fqTSrrVsUdsq-kainU/edit [^]
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031667RR16Q1 closedOrekaria Retail Modules unlimited terminals licenses don't allow to create terminals 
related to feature request 0032821 closedplatform Openbravo ERP Mobile Core. Reinforce CU Licensing 
causes defect 0033012 closedalostale Openbravo ERP error in Instance Activation window when using an expired license 

-  Notes
(0082067)
hgbot (developer)
2015-11-23 11:49

Repository: erp/devel/pi
Changeset: 0533c8d6569d7ca75ba77ecb7bcb224b1ff681a1
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Nov 23 11:44:13 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0533c8d6569d7ca75ba77ecb7bcb224b1ff681a1 [^]

fixed issue 31090: Implement Retail licensing model

  Retail licensing model is based on restricting the number of WebPOS terminals
  that can be registered at system level.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/navigationbarcomponents/UserInfoWidgetActionHandler.java
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src/org/openbravo/base/secureApp/HttpSecureAppServlet.java
M src/org/openbravo/base/secureApp/LoginHandler.java
M src/org/openbravo/erpCommon/ad_forms/About.html
M src/org/openbravo/erpCommon/ad_forms/About.java
M src/org/openbravo/erpCommon/ad_forms/About.xml
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.xml
M src/org/openbravo/erpCommon/ad_forms/Role.java
M src/org/openbravo/erpCommon/obps/ActivationKey.java
A src/org/openbravo/erpCommon/obps/ModuleLicenseRestrictions.java
---
(0082068)
hgbot (developer)
2015-11-23 11:51

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 9c220892fbbfbded82b54ded317fd1f07ef6ad9c
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Nov 23 11:49:53 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/9c220892fbbfbded82b54ded317fd1f07ef6ad9c [^]

related to issue 31090: Implement Retail licensing model

  Mobile core part for implementation of new retail licensing model

---
M src/org/openbravo/mobile/core/login/MobileCoreLoginHandler.java
---
(0082069)
hgbot (developer)
2015-11-23 11:57

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 8710755559139d41025c62b33ef90241c79df30b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Nov 23 11:54:30 2015 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/8710755559139d41025c62b33ef90241c79df30b [^]

related to issue 31090: Implement Retail licensing model

  POS terminal implementation for new reatail licensing model

---
M src-db/database/sourcedata/AD_FORM.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
A src/org/openbravo/retail/posterminal/security/DeactivateAllTerminalsButton.html
A src/org/openbravo/retail/posterminal/security/DeactivateAllTerminalsButton.xml
A src/org/openbravo/retail/posterminal/security/DeactivateTerminals.html
A src/org/openbravo/retail/posterminal/security/DeactivateTerminals.xml
A src/org/openbravo/retail/posterminal/security/InstanceActivationExtensions.java
A src/org/openbravo/retail/posterminal/security/POSLicenseRestrictions.java
A src/org/openbravo/retail/posterminal/security/POSLicenseWarningFICExtension.java
A src/org/openbravo/retail/posterminal/security/TerminalRestrictionsEventHandler.java
---
(0082266)
hudsonbot (developer)
2015-11-23 21:17

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7b56bebaaa88 [^]
Maturity status: Test
(0082346)
AugustoMauch (developer)
2015-11-25 16:38

Code reviewed and verified in pi@871075555913

- Issue History
Date Modified Username Field Change
2015-10-08 08:41 alostale New Issue
2015-10-08 08:41 alostale Assigned To => platform
2015-10-08 08:41 alostale Modules => Core
2015-10-08 08:41 alostale Triggers an Emergency Pack => No
2015-10-08 08:41 alostale Status new => scheduled
2015-10-08 08:41 alostale Assigned To platform => alostale
2015-10-08 08:42 alostale Review Assigned To => AugustoMauch
2015-10-08 08:42 alostale Target Version => 3.0PR16Q1
2015-11-23 11:49 hgbot Checkin
2015-11-23 11:49 hgbot Note Added: 0082067
2015-11-23 11:49 hgbot Status scheduled => resolved
2015-11-23 11:49 hgbot Resolution open => fixed
2015-11-23 11:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/0533c8d6569d7ca75ba77ecb7bcb224b1ff681a1 [^]
2015-11-23 11:51 hgbot Checkin
2015-11-23 11:51 hgbot Note Added: 0082068
2015-11-23 11:57 hgbot Checkin
2015-11-23 11:57 hgbot Note Added: 0082069
2015-11-23 21:17 hudsonbot Checkin
2015-11-23 21:17 hudsonbot Note Added: 0082266
2015-11-25 16:38 AugustoMauch Note Added: 0082346
2015-11-25 16:38 AugustoMauch Status resolved => closed
2015-11-25 16:38 AugustoMauch Fixed in Version => 3.0PR16Q1
2015-12-09 10:18 alostale Relationship added related to 0031667
2016-05-20 10:51 alostale Relationship added causes 0033012
2017-07-06 08:36 alostale Relationship added related to 0032821


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker